
package de.ivu.elect.business.personenpruefung.boundary;

import java.io.Serializable;

import javax.inject.Inject;

import de.ivu.elect.business.personenpruefung.control.PersonenPruefEvent;

public class PersonenPruefungStarter implements Serializable {

  private static final long serialVersionUID = 1L;

  @Inject
  private transient PersonenPruefEvent personenPruefEvent;

  public PersonenPruefungStarter() {
    super();
  }

  /**
   * NOTE, dass die Prüfung nach Abschluss der aktuellen Transaktion startet, da der PersonenPruefEventListener mit TransactionPhase.AFTER_SUCCESS konfiguriert ist!
   */
  public void startePersonenPruefung() {
    personenPruefEvent.sendStartEvent();
  }
}
